Bug 807529 - rhc-rest should be installed as dependency with rhc client
rhc-rest should be installed as dependency with rhc client
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
1.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-28 00:47 EDT by Johnny Liu
Modified: 2013-03-13 00:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-13 14:33:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnny Liu 2012-03-28 00:47:46 EDT
Description of problem:
Because scaling function will be released to public, rhc-rest should be installed as dependency with rhc client so that scaling works fine.

Now when user install rhc client, rhc-rest is not be installed as dependency.

$ rhc-create-app -a phptest -t php-5.3 -s -p xx
Creating application: phptest in jialiu
/usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require': no such file to load -- rhc-rest (LoadError)
	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.89.7/lib/rhc-common.rb:401:in `create_app'
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.89.7/bin/rhc-create-app:248
	from /usr/bin/rhc-create-app:19:in `load'
	from /usr/bin/rhc-create-app:19


Version-Release number of selected component (if applicable):
rhc-0.89.7-1.el6_2.noarch

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 John (J5) Palmieri 2012-03-29 16:54:52 EDT
Fix comming soon
Comment 2 John (J5) Palmieri 2012-03-29 17:03:50 EDT
Fixed in 0.89.9
Comment 3 Johnny Liu 2012-03-30 03:34:37 EDT
Verified this bug with rhc-0.89.10-1.el6_2.noarch, and PASS.

# yum update rhc
Loaded plugins: langpacks, presto, refresh-packagekit
Adding en_US to language list
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package rhc.noarch 0:0.89.10-1.el6_2 set to be updated
--> Processing Dependency: rhc-rest for package: rhc-0.89.10-1.el6_2.noarch
--> Running transaction check
---> Package rhc-rest.noarch 0:0.0.7-1.git.0.6ec063c.el6_2 set to be installed
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================================================================================================
 Package                           Arch                            Version                                                 Repository                   Size
=============================================================================================================================================================
Updating:
 rhc                               noarch                          0.89.10-1.el6_2                                         li                          149 k
Installing for dependencies:
 rhc-rest                          noarch                          0.0.7-1.git.0.6ec063c.el6_2                             li                          206 k

Transaction Summary
=============================================================================================================================================================
Install       1 Package(s)
Upgrade       1 Package(s)

Note You need to log in before you can comment on or make changes to this bug.